> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ycloud.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List group join requests

> Returns a cursor-paginated list of pending join requests for a WhatsApp group.



## OpenAPI

````yaml /openapi/endpoints/ycloud-api-v2.yaml get /whatsapp/{businessPhoneNumber}/groups/{groupId}/joinRequests
openapi: 3.0.0
info:
  description: >-
    The [YCloud](https://ycloud.com) API is organized around
    [REST](https://en.wikipedia.org/wiki/Representational_state_transfer). Our
    API is designed to have predictable, resource-oriented URLs, return
    [JSON](https://www.json.org) responses, and use standard HTTP response codes
    and verbs.
  version: v2
  title: YCloud API
  termsOfService: https://ycloud.com/terms-service
  contact:
    email: service@ycloud.com
servers:
  - url: https://api.ycloud.com/v2
    description: Base URL
security:
  - api_key: []
tags:
  - name: Balance
  - name: Contacts
  - name: Custom Events
  - name: Emails
  - name: SMS
  - name: Unsubscribers
  - name: Verify
  - name: Voices
  - name: Webhook Endpoints
  - name: WhatsApp Business Accounts
  - name: WhatsApp Inbound Messages
  - name: WhatsApp Media
  - name: WhatsApp Messages
  - name: WhatsApp Blocked Users
  - name: WhatsApp Groups
  - name: WhatsApp Calling
  - name: WhatsApp Phone Numbers
  - name: WhatsApp Templates
  - name: WhatsApp Flows
  - name: Meta Business Agent
  - name: WhatsApp Group Messages
externalDocs:
  description: Homepage
  url: https://ycloud.com
paths:
  /whatsapp/{businessPhoneNumber}/groups/{groupId}/joinRequests:
    get:
      tags:
        - WhatsApp Groups
      summary: List group join requests
      description: >-
        Returns a cursor-paginated list of pending join requests for a WhatsApp
        group.
      operationId: whatsapp_group-list-join-requests
      parameters:
        - $ref: '#/components/parameters/businessPhoneNumber-in_path'
        - $ref: '#/components/parameters/groupId-in_path'
        - $ref: '#/components/parameters/groupLimit'
        - $ref: '#/components/parameters/groupBefore'
        - $ref: '#/components/parameters/groupAfter'
      responses:
        '200':
          description: Successfully retrieved group join requests.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WhatsappGroupJoinRequestListResponse'
        '400':
          description: Bad request. Invalid request parameters.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
components:
  parameters:
    businessPhoneNumber-in_path:
      name: businessPhoneNumber
      in: path
      description: >-
        The WhatsApp business phone number in
        [E.164](https://en.wikipedia.org/wiki/E.164) format.
      required: true
      schema:
        type: string
        example: '+16315551111'
    groupId-in_path:
      name: groupId
      in: path
      description: WhatsApp group ID.
      required: true
      schema:
        type: string
        example: 120363345678901234@g.us
    groupLimit:
      name: limit
      in: query
      description: >-
        A limit on the number of results to be returned, between 1 and 1024.
        Defaults to 25.
      required: false
      schema:
        type: integer
        format: int32
        minimum: 1
        maximum: 1024
        default: 25
    groupBefore:
      name: before
      in: query
      description: A cursor to fetch the previous page.
      required: false
      schema:
        type: string
        example: eyJvIjoiYmVmb3JlIn0
    groupAfter:
      name: after
      in: query
      description: A cursor to fetch the next page.
      required: false
      schema:
        type: string
        example: eyJvIjoiYWZ0ZXIifQ
  schemas:
    WhatsappGroupJoinRequestListResponse:
      type: object
      description: Cursor-paginated WhatsApp group join request response.
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/WhatsappGroupJoinRequest'
        paging:
          $ref: '#/components/schemas/WhatsappGroupPaging'
    ErrorResponse:
      type: object
      required:
        - error
      properties:
        error:
          $ref: '#/components/schemas/Error'
          description: >-
            Contains the error code and human-readable message for the API
            error.
    WhatsappGroupJoinRequest:
      type: object
      description: WhatsApp group join request object.
      properties:
        joinRequestId:
          type: string
          description: The join request ID.
          example: join-request-id
        waId:
          type: string
          description: WhatsApp user ID.
          example: '16315551111'
        userId:
          type: string
          description: Business-scoped user ID.
          example: US.1234
        parentUserId:
          type: string
          description: Parent business-scoped user ID.
          example: US.parent123
        username:
          type: string
          description: WhatsApp username.
          example: John
        creationTimestamp:
          type: integer
          format: int64
          description: Unix timestamp indicating when the join request was created.
          example: 1739321024
    WhatsappGroupPaging:
      type: object
      description: Cursor pagination information.
      properties:
        before:
          type: string
          description: Cursor for the previous page.
          example: eyJvIjoiYmVmb3JlIn0
        after:
          type: string
          description: Cursor for the next page.
          example: eyJvIjoiYWZ0ZXIifQ
    Error:
      type: object
      required:
        - status
        - code
      properties:
        status:
          type: integer
          format: int32
          pattern: '[45]\d{2}'
          description: >-
            HTTP status code, [RFC 7231, Section
            6](https://datatracker.ietf.org/doc/html/rfc7231#section-6). It
            conveys the HTTP status code used for the convenience of the
            consumer.
          example: 404
        code:
          type: string
          description: >-
            One of a server-defined error codes. Some `4xx` errors that could be
            handled programmatically include an error code that briefly explains
            the error reported.
          example: NOT_FOUND
        message:
          type: string
          description: >-
            A human-readable representation of the error. It is intended as an
            aid to developers and is not suitable for exposure to end users.
          example: The requested resource does not exist.
        target:
          type: string
          description: The target of the error.
          example: ''
        docUrl:
          type: string
          description: A URL to more information about the error.
          example: ''
        requestId:
          type: string
          description: >-
            Each API request has an associated request ID. It conveys the
            response header `YCloud-Request-ID` used for the convenience of the
            consumer.
          example: req_1KjtKI80IKoaJNa6n6p
        whatsappApiError:
          $ref: '#/components/schemas/WhatsappApiError'
          description: >-
            The original error object returned by WhatsApp. See [Handling
            Errors](https://developers.facebook.com/docs/graph-api/guides/error-handling),
            [Cloud API Error
            Codes](https://developers.facebook.com/docs/whatsapp/cloud-api/support/error-codes).


            Note: This field is returned if we tried to request the WhatsApp
            Business API and got an error response.
        metaBusinessAgentApiError:
          $ref: '#/components/schemas/MetaBusinessAgentApiError'
          description: >-
            Sanitized upstream details returned when a Meta Business Agent
            request fails.
    WhatsappApiError:
      type: object
      description: >-
        The original error object returned by WhatsApp. See [Handling
        Errors](https://developers.facebook.com/docs/graph-api/guides/error-handling),
        [Cloud API Error
        Codes](https://developers.facebook.com/docs/whatsapp/cloud-api/support/error-codes).
      required:
        - message
        - code
      properties:
        message:
          type: string
          description: A human-readable description of the error.
          example: HSM Template creation failed
        code:
          type: string
          description: An error code.
          example: 200002
        type:
          type: string
          description: Error type.
          example: OAuthException
        is_transient:
          type: boolean
          description: Whether the error is transient.
          example: false
        error_subcode:
          type: string
          description: Additional code about the error.
          example: 2388109
        error_user_msg:
          type: string
          description: >-
            The message to display to the user. The language of the message is
            based on the locale of the API request.
          example: This message template cannot be created.
        error_user_title:
          type: string
          description: >-
            The title of the dialog, if shown. The language of the message is
            based on the locale of the API request.
          example: Message Cannot Be Submitted
        fbtrace_id:
          type: string
          description: >-
            Internal support identifier. When reporting a bug related to a Graph
            API call, include the fbtrace_id to help us find log data for
            debugging.
          example: AVGjJ7ia2zJkrHG
        error_data:
          description: >-
            Additional data about the error. A string or map.

            - For template APIs, this field is a string describing the reason
            for the error.

            - For message APIs, this field is a map with property `details`
            describing the reason for the error.
          oneOf:
            - type: string
            - type: object
              additionalProperties: true
    MetaBusinessAgentApiError:
      type: object
      description: Sanitized details from a failed Meta Business Agent upstream request.
      properties:
        title:
          type: string
        detail:
          type: string
        type:
          type: string
        status:
          type: integer
          format: int32
        requestId:
          type: string
  securitySchemes:
    api_key:
      type: apiKey
      name: X-API-Key
      in: header

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.